@import '../app.scss';

body {
    background-color: $third;
}

.container__content {
    min-height: 100%;
}

.container__h2, .container__addPerson {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container__members, .container__persons {
    background-color: $secondary;
    margin: 150px;
    border-radius: 0 0 5px 5px;
}

.container__h2 {
    background-color: $primary;
    border-radius: 5px 5px 0 0;
}

.container__h2 h2 {
    margin: 10px;
    color: $third;
    text-align: center;
}


.container__addPerson {
    text-align: center;
    margin: 100px 0;
}

.container__teamMates {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.container__teamMates p {
    margin: 10px;
}

.container__crew__items {
    display: flex;
    flex-direction: column;
}

.container__item__crew {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.container__item__crewNumber {
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container__item__crewNumber p {
    border-radius: 5px;
    padding: 10px 25px;
    text-align: center;
    background-color: $primary;
    width: 400px;
    color: $third;
}

.container__noMember {
    margin: 10px auto;
}

.teamMate__card {
    margin: 10px;
    width: 200px;
    border-radius: 5px;
    background-color: $fourth;
}

.container__card__button {
    background-color: $third;
    display: flex;
    justify-content: center;
    border-radius: 0 0 5px 5px;
}

.card__button {
    background-color: $primary;
    color: $third;
    text-align: center;
    text-decoration: none;
    margin: 5px;
    padding: 10px;
    transition: 0.3s;
    border-radius: 5px;
}

.card__button:hover {
    background-color: $primary-hover;
    color: $third;
}

.avatar__image {
    width: 200px;
    border-radius: 5px 5px 0 0;
}

.container__teamMate__infos {
    margin: 10px;
}

.teamMate__infos {
    color: $third;
}

.label__teamMate__info {
    font-weight: bold;
    text-transform: uppercase;
    color: $primary;
}

.available {
    background-color: $validate;
    text-align: center;
    padding: 20px;
    margin: 0;
}

.unAvailable {
    background-color: $unvalidate;
    text-align: center;
    padding: 20px;
    margin: 0;
}

.addPerson__button {
    background-color: $primary;
    color: #ffffff;
    text-decoration: none;
    margin: 5px;
    padding: 10px 25px;
    transition: 0.3s;
    border-radius: 5px;
}

.addPerson__button:hover {
    background-color: $primary-hover;
    color: #ffffff;
}

@media (max-width: 590px) {
    .container__h2 h2 {
        font-size: 16px;
    }

    .teamMate__card {
        width: 200px;
    }

    .avatar__image {
        width: 200px;
    }

    .container__teamMates, .container__crew {
        flex-direction: column;
        align-items: center;
    }

    .container__card__button {
        flex-direction: column;
        align-items: center;
    }

    .card__button {
        min-width: 90%;
    }

    .container__members, .container__persons {
        margin: 90px;
    }

    .container__addPerson {
        margin: 100px;
    }
}

@media (max-width: 400px) {
    .teamMate__card {
        width: 140px;
    }

    .avatar__image {
        width: 140px;
    }

    .container__members, .container__persons {
        margin: 10px;
    }
}